#!/bin/sh

set -e
set -x

python3 -m venv venv-ruff
venv-ruff/bin/python3 -m pip install 'ruff == 0.0.245'

git clone https://salsa.debian.org/debian/stunnel.git

cd stunnel/debian/tests
../../../venv-ruff/bin/ruff --isolated --select=ALL --ignore=D203,D213 python/struntime
../../../venv-ruff/bin/ruff --isolated --select=ALL --ignore=D203,D213 --line-length=40 python/struntime
